> ## Documentation Index
> Fetch the complete documentation index at: https://docs.circuit.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm or dismiss an action



## OpenAPI

````yaml /partner-openapi.gen.json post /partner/actions/{actionId}
openapi: 3.1.0
info:
  title: Circuit partner API
  version: '0.1'
servers:
  - url: https://api.circuit.org
security: []
paths:
  /partner/actions/{actionId}:
    post:
      summary: Confirm or dismiss an action
      operationId: decideAction
      parameters:
        - name: circuit-partner-version
          in: header
          required: true
          example: '0.1'
          schema:
            type: string
            const: '0.1'
        - name: actionId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                decision:
                  $ref: '#/components/schemas/Decision'
              additionalProperties: false
              required:
                - decision
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: >-
                      Starts with `op_` for a trade or transaction, `aga_` for
                      an agent change.
                    type: string
                  title:
                    description: >-
                      One sentence, verb first, as Circuit's own Activity shows
                      it.
                    type: string
                  state:
                    description: >-
                      `review`, `pending`, `done`, `dismissed` or `failed` (see
                      `message`).
                    type: string
                  message:
                    type:
                      - string
                      - 'null'
                  agentId:
                    description: The agent this action started or changed.
                    type:
                      - string
                      - 'null'
                  decisions:
                    description: 'What your app may send now: `confirm`, `dismiss`.'
                    type: array
                    items:
                      type: string
                required:
                  - id
                  - title
                  - state
                  - decisions
        default:
          description: Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerFailure'
      security:
        - permit: []
components:
  schemas:
    Decision:
      type: string
      enum:
        - confirm
        - dismiss
    PartnerFailure:
      description: 'A failed call: act on its HTTP status and show `error` to the user.'
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    permit:
      type: http
      scheme: bearer
      description: The permit the user approved for your app.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.